summaryrefslogtreecommitdiff
path: root/bin
diff options
context:
space:
mode:
authorCyril Rohr <cyril.rohr@gmail.com>2014-04-01 15:39:26 +0100
committerCyril Rohr <cyril.rohr@gmail.com>2014-05-06 11:34:17 +0100
commitb1d68b6e9bd837b3b685b76ceca1b6a44cf2dc17 (patch)
tree67c8a24fb10d67afe32fd1ee48ee68f4bdc3ff16 /bin
parent81ecd1195fd91c99f34c837524530800dbaf7bb2 (diff)
downloadgitlab-ce-b1d68b6e9bd837b3b685b76ceca1b6a44cf2dc17.tar.gz
Add .pkgr.yml file for automated packaging on https://pkgr.io
Diffstat (limited to 'bin')
-rwxr-xr-xbin/pkgr_before_precompile.sh16
1 files changed, 16 insertions, 0 deletions
diff --git a/bin/pkgr_before_precompile.sh b/bin/pkgr_before_precompile.sh
new file mode 100755
index 00000000000..126f9fda72e
--- /dev/null
+++ b/bin/pkgr_before_precompile.sh
@@ -0,0 +1,16 @@
+#!/bin/sh
+
+set -ex
+
+for file in config/*.yml.example; do
+ cp ${file} config/$(basename ${file} .example)
+done
+
+# No need for config file. Will be taken care of by REDIS_URL env variable
+rm config/resque.yml
+
+# Set default unicorn.rb file
+echo "" > config/unicorn.rb
+
+# Required for assets precompilation
+sudo service postgresql start